#include <LiquidCrystal.h>

const int rs = 12, en = 11, d4 = 10, d5 = 9, d6 = 8, d7 = 7;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

String Temp;
String Humidity;
String PH;

void setup() {
  
  Serial.begin(9600);
  lcd.begin(20, 4);

  lcd.setCursor(0,0);
    lcd.print("--------------------");
  lcd.setCursor(0,1);
    lcd.print("Aquaponics Fish Tank");
  lcd.setCursor(0,2);
    lcd.print("... In Development");
  lcd.setCursor(0,3);
    lcd.print("--------------------");
    
  delay(3000);
  lcd.clear();
 }

void loop() {

 String IN;
 String readString;

while(Serial.available()) {
  delay(100);
  if (Serial.available() >0) {
    char c = Serial.read();
    readString += c;
  }
 }

 IN = readString;

 if(IN.substring(0,1)=="1"){
  lcd.clear();
  Temp = IN.substring(1);
  lcd.setCursor(3,1);
  lcd.print(Temp);
  lcd.setCursor(3,2);
  lcd.print(Humidity);
  lcd.setCursor(3,3);
  lcd.print(PH);
 }

  if(IN.substring(0,1)=="2"){
  lcd.clear();
  Humidity = IN.substring(1);
  lcd.setCursor(3,1);
  lcd.print(Temp);
  lcd.setCursor(3,2);
  lcd.print(Humidity);
  lcd.setCursor(3,3);
  lcd.print(PH);
 }

 
  if(IN.substring(0,1)=="3"){
  lcd.clear();
  PH = IN.substring(1);
  lcd.setCursor(3,1);
  lcd.print(Temp);
  lcd.setCursor(3,2);
  lcd.print(Humidity);
  lcd.setCursor(3,3);
  lcd.print(PH);
 }

}
